List

  • GET
  • /workspaces
  • /:workspace_domain
  • /projects
  • /:project_name
  • /unit-tests
  • /suites
  • /:suite_id
  • /sessions

Get all test sessions for a suite

Request

REQUIRED SCOPES
UNIT_TEST_INFO
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the unit test suite

Example: "MNbyVedg"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

branchstring
Filter sessions by branch name

Example: "main"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
sessionsTestSessionView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace_domain/projects/:project_name/unit-tests/suites/:suite_id/sessions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/MNbyVedg/sessions", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/MNbyVedg", "sessions": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/MNbyVedg/sessions/YDnagwGk", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/MNbyVedg/YDnagwGk", "id": "YDnagwGk", "relative_id": 2, "create_date": "2025-10-21T06:42:16Z", "start_date": "2025-10-21T06:42:16Z", "created_by": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true }, "ci_provider": "BUDDY", "revision": "755b691cfff32e08aba35f2c9b1451ed76cfd583", "ref_type": "BRANCH", "ref_name": "master", "execution_id": "68f72b4466907cbc77887a08", "action_execution_id": "68f72b4466907cbc77887a0a", "status": "SUCCESSFUL", "duration": 0, "tests_count": 109, "failed_count": 0, "skipped_count": 0, "error_count": 0 }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/MNbyVedg/sessions/r4nBYXVq", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/MNbyVedg/r4nBYXVq", "id": "r4nBYXVq", "relative_id": 1, "create_date": "2025-10-21T06:42:08Z", "start_date": "2025-10-21T06:42:08Z", "created_by": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true }, "ci_provider": "BUDDY", "revision": "755b691cfff32e08aba35f2c9b1451ed76cfd583", "ref_type": "BRANCH", "ref_name": "master", "execution_id": "68f72b3d66907cbc77887986", "action_execution_id": "68f72b3d66907cbc77887988", "status": "SUCCESSFUL", "duration": 1, "tests_count": 109, "failed_count": 0, "skipped_count": 0, "error_count": 0 } ] }
STATUS
200 OK